import tkinter as tk
from tkinter import scrolledtext, messagebox
import wikipedia
s=int(input("enter no. of words you want to be fetched from the arcticle: "))
# Function to fetch Wikipedia content
def fetch_wikipedia_content():
    search_term = entry.get().strip()  # Get the input from the entry field
    if not search_term:
        messagebox.showwarning("Input Error", "Please enter a search term.")
        return

    try:
        # Fetch the Wikipedia page
        result = wikipedia.page(search_term)
        # Display the content in the output area
        result_output.delete("1.0", tk.END)  # Clear previous output
        result_output.insert(tk.END, f"Title: {result.title}\n\n")
        result_output.insert(tk.END, result.content[:s])  # Display the first 500 characters of the content
    except wikipedia.exceptions.DisambiguationError as e:
        messagebox.showerror("Disambiguation Error", f"Multiple pages found: {e.options}")
    except wikipedia.exceptions.PageError:
        messagebox.showerror("Page Error", "The requested page does not exist.")
    except Exception as e:
        messagebox.showerror("Error", str(e))

# Create the main window
root = tk.Tk()
root.title("Wikipedia Content Fetcher")

# Create a label
label = tk.Label(root, text="Enter Search Term:")
label.pack(pady=10)

# Create an entry field for input
entry = tk.Entry(root, width=50)
entry.pack(pady=10)

# Create a button to trigger fetching content
fetch_button = tk.Button(root, text="Fetch Content", command=fetch_wikipedia_content)
fetch_button.pack(pady=10)

# Create a text area for output
result_output = scrolledtext.ScrolledText(root, width=60, height=15)
result_output.pack(pady=10)

# Start the GUI event loop
root.mainloop()